import * as tseslint from 'typescript-eslint';

type ExtendableConfigName = keyof typeof tseslint.configs;
type ScriptLang = 'ts' | 'tsx' | 'js' | 'jsx';
type ConfigOptions = {
    extends?: Array<ExtendableConfigName>;
    supportedScriptLangs?: Record<ScriptLang, boolean>;
};
type ConfigArray = ReturnType<typeof tseslint.config>;
declare function createConfig({ extends: configNamesToExtend, supportedScriptLangs, }?: ConfigOptions): ConfigArray;

export { createConfig as default };
